<template>
  <v-select
    :items="filenames"
    label="Dataset"
    :value="currentDataSet.name"
    @input="setCurrentDataSetName"
  >
    <template v-slot:append-item>
      <v-divider class="mb-2"></v-divider>
      <v-btn flat class="primary--text" to="/upload">Change datasets</v-btn>
    </template>
  </v-select>
</template>

<script>
import { mapState } from "vuex";

export default {
  computed: {
    ...mapState(["files", "currentDataSet"]),
    filenames() {
      if (this.files) {
        return this.files.map(f => f.name);
      } else {
        return [];
      }
    }
  },
  methods: {
    setCurrentDataSetName(dataSetName) {
      this.$store.dispatch("setCurrentDataSetIndex", null).then(() => {
        this.$store.commit("setCurrentDataSetName", dataSetName);
      });
    }
  }
};
</script>

<style></style>
